Class | Chef::Formatters::ErrorInspectors::CookbookResolveErrorInspector
In: | lib/chef/formatters/error_inspectors/cookbook_resolve_error_inspector.rb
Parent: | Object

### Methods

add_explanation describe_412_error expanded_run_list_ul extract_412_error_message humanize_http_exception new

### Included Modules

APIErrorFormatting

### Attributes

exception | [R] |
expanded_run_list | [R] |

### Public Class methods

new(expanded_run_list, exception)

### Public Instance methods

add_explanation(error_description)
describe_412_error(error_description)
expanded_run_list_ul()
extract_412_error_message()

In my tests, the error from the server is double JSON encoded, but we should not rely on this not getting fixed.

Return should be a Hash like this:

      { "non_existent_cookbooks"     => ["nope"],
        "cookbooks_with_no_versions" => [],
        "message" => "Run list contains invalid items: no such cookbook nope."}

humanize_http_exception(error_description)

[Validate]